Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.table.model
Interface VTablePackage.Literals

Enclosing interface:
  VTablePackage

    public static interface VTablePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EEnum` | `DETAIL_EDITING` The meta object literal for the '`Detail Editing`' enum.
`static org.eclipse.emf.ecore.EClass` | `READ_ONLY_COLUMN_CONFIGURATION` The meta object literal for the ' `Read Only Column Configuration`' class.
`static org.eclipse.emf.ecore.EReference` | `READ_ONLY_COLUMN_CONFIGURATION__COLUMN_DOMAIN_REFERENCES` The meta object literal for the 'Column Domain References' reference list feature.
`static org.eclipse.emf.ecore.EClass` | `TABLE_COLUMN_CONFIGURATION` The meta object literal for the '`Column Configuration`' class.
`static org.eclipse.emf.ecore.EClass` | `TABLE_CONTROL` The meta object literal for the '`Control`' class.
`static org.eclipse.emf.ecore.EAttribute` | `TABLE_CONTROL__ADD_REMOVE_DISABLED` The meta object literal for the 'Add Remove Disabled' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `TABLE_CONTROL__COLUMN_CONFIGURATIONS` The meta object literal for the 'Column Configurations' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `TABLE_CONTROL__DETAIL_EDITING` The meta object literal for the 'Detail Editing' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `TABLE_CONTROL__DETAIL_VIEW` The meta object literal for the 'Detail View' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `TABLE_CONTROL__ENABLE_DETAIL_EDITING_DIALOG` The meta object literal for the 'Enable Detail Editing Dialog' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `TABLE_DOMAIN_MODEL_REFERENCE` The meta object literal for the ' `Domain Model Reference`' class.
`static org.eclipse.emf.ecore.EReference` | `TABLE_DOMAIN_MODEL_REFERENCE__COLUMN_DOMAIN_MODEL_REFERENCES` The meta object literal for the 'Column Domain Model References' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE` The meta object literal for the 'Domain Model Reference' containment reference feature.

Field Detail

### TABLE_CONTROL

    static final org.eclipse.emf.ecore.EClass TABLE_CONTROL

  The meta object literal for the '`Control`' class.

  See Also:
    `VTableControlImpl`, `VTablePackageImpl.getTableControl()`

### TABLE_CONTROL__ADD_REMOVE_DISABLED

    static final org.eclipse.emf.ecore.EAttribute TABLE_CONTROL__ADD_REMOVE_DISABLED

  The meta object literal for the 'Add Remove Disabled' attribute feature.

### TABLE_CONTROL__COLUMN_CONFIGURATIONS

    static final org.eclipse.emf.ecore.EReference TABLE_CONTROL__COLUMN_CONFIGURATIONS

  The meta object literal for the 'Column Configurations' containment reference list feature.

### TABLE_CONTROL__DETAIL_EDITING

    static final org.eclipse.emf.ecore.EAttribute TABLE_CONTROL__DETAIL_EDITING

  The meta object literal for the 'Detail Editing' attribute feature.

### TABLE_CONTROL__DETAIL_VIEW

    static final org.eclipse.emf.ecore.EReference TABLE_CONTROL__DETAIL_VIEW

  The meta object literal for the 'Detail View' containment reference feature.

### TABLE_CONTROL__ENABLE_DETAIL_EDITING_DIALOG

    static final org.eclipse.emf.ecore.EAttribute TABLE_CONTROL__ENABLE_DETAIL_EDITING_DIALOG

  The meta object literal for the 'Enable Detail Editing Dialog' attribute feature.

### TABLE_COLUMN_CONFIGURATION

    static final org.eclipse.emf.ecore.EClass TABLE_COLUMN_CONFIGURATION

  The meta object literal for the '`Column Configuration`' class.

  See Also:
    `VTableColumnConfiguration`, `VTablePackageImpl.getTableColumnConfiguration()`

### TABLE_DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EClass TABLE_DOMAIN_MODEL_REFERENCE

  The meta object literal for the ' `Domain Model Reference`' class.

  See Also:
    `VTableDomainModelReferenceImpl`, `VTablePackageImpl.getTableDomainModelReference()`

### TABLE_DOMAIN_MODEL_REFERENCE__COLUMN_DOMAIN_MODEL_REFERENCES

    static final org.eclipse.emf.ecore.EReference TABLE_DOMAIN_MODEL_REFERENCE__COLUMN_DOMAIN_MODEL_REFERENCES

  The meta object literal for the 'Column Domain Model References' containment reference list feature.

### TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE

    static final org.eclipse.emf.ecore.EReference TABLE_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE

  The meta object literal for the 'Domain Model Reference' containment reference feature.

  Since:
    1.5

### READ_ONLY_COLUMN_CONFIGURATION

    static final org.eclipse.emf.ecore.EClass READ_ONLY_COLUMN_CONFIGURATION

  The meta object literal for the ' `Read Only Column Configuration`' class.

  See Also:
    `VReadOnlyColumnConfigurationImpl`, `VTablePackageImpl.getReadOnlyColumnConfiguration()`

### READ_ONLY_COLUMN_CONFIGURATION__COLUMN_DOMAIN_REFERENCES

    static final org.eclipse.emf.ecore.EReference READ_ONLY_COLUMN_CONFIGURATION__COLUMN_DOMAIN_REFERENCES

  The meta object literal for the 'Column Domain References' reference list feature.

### DETAIL_EDITING

    static final org.eclipse.emf.ecore.EEnum DETAIL_EDITING

  The meta object literal for the '`Detail Editing`' enum.

  See Also:
    `DetailEditing`, `VTablePackageImpl.getDetailEditing()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.